GET v1/crypto-withdrawals
GET /v1/crypto-withdrawals
Get your account's withdrawals.
Query Parameters:
| Name | Type | Description | Required |
|---|---|---|---|
| symbol | STRING | Crypto asset's symbol. USDT, BTC, CHZ etc. | NO |
| createdAtBefore | DATETIME | Filters withdrawals created on or before the specified date. | YES |
| createdAtAfter | DATETIME | Selects withdrawals created after a specified date. | YES |
| page | INT | Default value 1 | NO |
| pageSize | INT | -Must be between 1 and 1000 Default value 100 | NO |
| orderBy | STRING | -ASC -DESC Default value Desc | NO |
| externalTransactionId | STRING | Transaction id of your withdrawal request. You can query with the externalTransactionId you used in your Withdrawal request. | NO |
info
Withdrawals ordered by createdAt field.
Response
- 200
[
{
"id": "a9c714446ade40ce85c6a25cefa5eef3",
"accountId": "6df05f44559f41b787a7acc97d7ac00d",
"assetId": "1432daf312e344b08e88cab34d0c0979",
"address": "0x8459fB304Ed8754974Ff9A4f5Cdb1A4F72fe4526",
"memoTag": null,
"amount": "0.0010000000000000",
"feeAmount": "0.0005779239742332",
"transactionHash": "0x66d7710fd5ff2cb6dd0837de168315e73cb5a242ba3286adbe9689557e52cac7",
"status": "Confirmed", // Pending, Confirmed, Delivered, Failed
"externalTransactionId": "HFT-TEST-Q82JD81K19",
"createdAt": "2024-07-25T09:52:22.6753337",
"updatedAt": "2024-07-25T09:55:12.1234567",
"createdBy": "[email protected]"
},
{
"id": "a1c072fb15a84ea39ea0ecdfae5eca8d",
"accountId": "6df05f44559f41b787a7acc97d7ac00d",
"assetId": "1432daf312e344b08e88cab34d0c0979",
"address": "0x8459fB304Ed8754974Ff9A4f5Cdb1A4F72fe4526",
"memoTag": null,
"amount": "0.0010000000000000",
"feeAmount": "0.0005779239742332",
"transactionHash": "0x98a6945176ff57fc859b2f88bb8b879e795dc0cd2e20e56996e37cd5ab2cfd30",
"status": "Confirmed", // Pending, Confirmed, Delivered, Failed
"externalTransactionId": "HFT-TEST-YU21S812U3J",
"createdAt": "2024-07-25T08:31:26.0885355",
"updatedAt": "2024-07-25T08:35:47.9876543",
"createdBy": "[email protected]"
}
]